Bug 1285540 - (php-behat-mink) Review Request: php-behat-mink - Browser controller/emulator abstraction for PHP
Review Request: php-behat-mink - Browser controller/emulator abstraction for PHP
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: php-behat-mink-browserkit-driver
  Show dependency treegraph
 
Reported: 2015-11-25 16:51 EST by Shawn Iwinski
Modified: 2015-12-01 09:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 09:18:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+


Attachments (Terms of Use)
phpci.log (18.65 KB, text/plain)
2015-12-01 03:28 EST, Remi Collet
no flags Details
review.txt (7.91 KB, text/plain)
2015-12-01 03:29 EST, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2015-11-25 16:51:46 EST
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/8911982a2193ebd757769863d893d6cf3d64d63d/php-behat-mink/php-behat-mink.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-behat-mink-1.7.0-1.fc23.src.rpm

Description:
One of the most important parts in the web is a browser. Browser is the window
through which web users interact with web applications and other users. Users
are always talking with web applications through browsers.

So, in order to test that our web application behaves correctly, we need a way
to simulate this interaction between the browser and the web application in our
tests. We need a Mink.

Mink is an open source browser controller/emulator for web applications,
written in PHP.

Read Mink at a Glance [1] to learn more about Mink and why you need it.

[1] http://mink.behat.org/en/latest/at-a-glance.html


Fedora Account System Username: siwinski
Comment 1 Upstream Release Monitoring 2015-12-01 03:26:00 EST
remi's scratch build of php-behat-mink-1.7.0-1.fc21.remi.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12021104
Comment 2 Remi Collet 2015-12-01 03:28 EST
Created attachment 1100763 [details]
phpci.log

phpCompatInfo version 4.5.2 DB built Nov 25 2015 18:15:42 CET static analyze results
Comment 3 Remi Collet 2015-12-01 03:29 EST
Created attachment 1100764 [details]
review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Comment 4 Remi Collet 2015-12-01 03:29:48 EST
No blocker.

==== APPROVED ====
Comment 5 Shawn Iwinski 2015-12-01 07:28:23 EST
THANKS for the review!

Pkg request submitted in pkgdb.
Comment 6 Gwyn Ciesla 2015-12-01 08:30:58 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-behat-mink

Note You need to log in before you can comment on or make changes to this bug.